libstdc++: std::negative_binomial_distribution< _IntType >::param_type Struct Reference

libstdc++

std::negative_binomial_distribution< _IntType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef negative_binomial_distribution< _IntType > | distribution_type

## Public Member Functions
| param_type (_IntType __k, double __p=0.5)
_IntType | k () const
double | p () const

## Friends
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _IntType = int>
struct std::negative_binomial_distribution< _IntType >::param_type

Parameter type.

Definition at line 5037 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _IntType = int>

typedef negative_binomial_distribution<_IntType> std::negative_binomial_distribution< _IntType >::param_type::distribution_type

Definition at line 5039 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _IntType = int>

std::negative_binomial_distribution< _IntType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 5041 of file random.h.

## ◆ param_type() [2/2]

template<typename _IntType = int>

std::negative_binomial_distribution< _IntType >::param_type::param_type | ( | _IntType | __k,
|  | double | __p = 0.5 )
| inlineexplicit

Definition at line 5044 of file random.h.

## Member Function Documentation

## ◆ k()

template<typename _IntType = int>

_IntType std::negative_binomial_distribution< _IntType >::param_type::k | ( |  | ) | const
| inline

Definition at line 5051 of file random.h.

## ◆ p()

template<typename _IntType = int>

double std::negative_binomial_distribution< _IntType >::param_type::p | ( |  | ) | const
| inline

Definition at line 5055 of file random.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _IntType = int>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 5059 of file random.h.

The documentation for this struct was generated from the following file:

- random.h